happy (2.1.7-2) unstable; urgency=medium

  * Add runtime depends on haskell-happy-lib-data (Closes: #1126852)

 -- Scott Talbert <swt@techie.net>  Tue, 03 Feb 2026 18:08:47 -0500

happy (2.1.7-1) unstable; urgency=medium

  [ Clint Adams ]
  * New upstream version.

  [ Scott Talbert ]
  * Fix a few dh-haskell porting issues and depend on happy-lib >= 2.1.7-3

 -- Scott Talbert <swt@techie.net>  Fri, 30 Jan 2026 21:10:02 -0500

happy (1.20.1.1-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.7.0

  [ Scott Talbert ]
  * Build using dh-haskell
  * Remove unused utils.mk include from d/rules (Closes: #1110564)

 -- Scott Talbert <swt@techie.net>  Wed, 17 Dec 2025 19:05:55 -0500

happy (1.20.1.1-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Debian policy 4.6.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 27 Aug 2023 13:36:19 +0300

happy (1.20.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 14 Jun 2022 13:00:27 -0400

happy (1.19.12-2) unstable; urgency=medium

  * Patch debian/get_version.hs for newer Cabal.

 -- Clint Adams <clint@debian.org>  Tue, 02 Jun 2020 17:31:52 -0400

happy (1.19.12-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 26 May 2020 09:26:51 -0700

happy (1.19.11-2) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * Don't copy source code files for stage1 builds (Closes: #884750)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 03 May 2020 21:38:00 +0200

happy (1.19.11-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 20:29:39 -0400

happy (1.19.9-6) unstable; urgency=medium

  * debian/get_version.hs: Updated for Cabal 2.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 14:45:54 +0300

happy (1.19.9-5) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:21 +0300

happy (1.19.9-4) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * Install README.md instead of README.  closes: #903332.

 -- Clint Adams <clint@debian.org>  Sat, 14 Jul 2018 14:20:35 -0400

happy (1.19.9-3) unstable; urgency=medium

  * Use Distribution.Version instead.

 -- Clint Adams <clint@debian.org>  Thu, 12 Apr 2018 14:42:41 -0400

happy (1.19.9-2) unstable; urgency=medium

  * Hide Distribution.Version's showVersion in our get_version util.

 -- Clint Adams <clint@debian.org>  Thu, 12 Apr 2018 10:39:31 -0400

happy (1.19.9-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 15:06:48 -0400

happy (1.19.8-1) unstable; urgency=medium

  * New upstream release (Closes: #876605)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 24 Oct 2017 00:46:34 +0300

happy (1.19.7-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 16 Sep 2017 13:14:37 -0700

happy (1.19.6-1) unstable; urgency=medium

  * New upstream release

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Sep 2017 19:07:11 -0700

happy (1.19.5-7) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:18 -0400

happy (1.19.5-6) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert 'debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Thu, 13 Oct 2016 14:03:29 -0400

happy (1.19.5-5) unstable; urgency=medium

  * Implement a stage1 profile build for bootstrapping.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Dec 2015 02:39:03 +0000

happy (1.19.5-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:02 -0500

happy (1.19.5-3) experimental; urgency=medium

  * rpath lintian override

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 14:43:49 +0200

happy (1.19.5-2) experimental; urgency=medium

  * Support latest Cabal
  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:26:53 +0200

happy (1.19.5-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 11:18:44 +0200

happy (1.19.4-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:47:29 +0200

happy (1.19.4-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:23 +0100

happy (1.19.4-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Aug 2014 17:46:22 +0200

happy (1.19.3-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 09 Mar 2014 11:14:29 +0100

happy (1.19.0-1) unstable; urgency=low

  * Fix Vcs-Darcs url: http://darcs.debian.org/ instead of
    http://darcs.debian.org/darcs/
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 18 Sep 2013 19:11:12 +0200

happy (1.18.10-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:45 +0200

happy (1.18.10-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Oct 2012 00:13:49 +0200

happy (1.18.9-1) unstable; urgency=low

  * New upstream release
  * Simplify build setup a bit

 -- Joachim Breitner <nomeata@debian.org>  Tue, 07 Feb 2012 21:40:11 +0100

happy (1.18.6-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 29 Mar 2011 13:55:39 +0530

happy (1.18.4-2) unstable; urgency=low

  [ Iain Lane ]
  * debian/rules: Remove doc/configure in clean, forgotten before and caused
    package to be unclean.

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Bump version of Build-Depends: on haskell-devscripts
    to 0.7 and remove versioned Build-Depends: on ghc6.
  * Use 3.0 (quilt) format.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Sun, 21 Feb 2010 07:31:12 -0300

happy (1.18.4-1) unstable; urgency=low

  * New upstream release 1.18.4
    - New feature: EBNF-style paramterized macros, thanks to
      Iavor Diatchki.
    - Works with Cabal 1.2, 1.4 and 1.6
    - A few minor bugfixes
      + Manpage now correctly specifies options required for -d to work
        (Closes: #326952)
  * debian/control, debian/copyright, debian/rules: Adopt for Debian Haskell
    Group, add myself to Uploaders and remove Ian Lynagh (Igloo). Thanks for
    your previous maintainership. Add VCS information.
  * debian/control: Update long description
  * debian/control: Standards-version 3.8.3
    - Section: haskell
    - Add debian/README.source for new patchsys
  * debian/rules, debian/control, debian/happy.*, debian/compat: Fairly major
    rewrite to use cdbs and hlibrary.mk
  * debian/control, debian/patches/templates_path.patch, debian/rules: Add
    quilt patchsys and patch Setup.lhs to install templates in out/ directory.
    They are usually installed in the build root which means there is no easy
    way to install them all at once.
  * debian/rules, debian/control: Upstream doesn't ship doc/configure required
    for the doc build - use autoconf to generate it at build-time. Requires a
    build-dep on autoconf.

 -- Iain Lane <laney@ubuntu.com>  Sun, 04 Oct 2009 13:31:04 +0100

happy (1.17-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Ruben Molina and Matt Kraai to fix FTBFS with a
    recent GHC6. (Closes: #516425).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 17 Aug 2009 18:26:15 +0200

happy (1.17-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release: (Closes: #470942)
    - Cabal 1.2 is now required. (Closes: #460375)
    - Works with upcoming GHC 6.8.1
    - Fix the 'parE' bug (poor error message for errors in the grammar)
    - Some performance improvements to Happy itsel
  * debian/control:
    - Added Homepage field.
    - Bump the build dependency on ghc6 to 6.8.2 as the packages needs
      Cabal 1.2 to build.
    - Bump the Standards-Version to 3.7.3. No changes needed.
    - Add happy and libghc6-mtl-dev to the build dependencies.
  * debian/copyright:
    - Fix debian-copyright-file-uses-obsolete-national-encoding lintian
      warning.
    - Update debian/copyright file with info from upstream LICENSE file.
  * debian/doc-base:
    - Adjust section to Programming/Haskell
  * debian/get_version.hs: Updated for Cabal 1.2
  * debian/rules:
    - Fix debian-rules-ignores-make-clean-error lintian warning.
    - Remove the LICENSE installed by ./setup copy

 -- Arjan Oosting <arjan@debian.org>  Thu, 01 May 2008 12:05:29 +0200

happy (1.16~rc2-1) unstable; urgency=low

  * New upstream (release candidate) version.
  * Removed happy/ prefixes from various paths in debian/rules and
    debian/docs.
  * doc/configure generated by autoconf is in the Debian diff.
  * Build using cabal:
    * Various debian/rules changes.
    * Create debian/get_version.hs for extracting the version from the cabal
      file.
    * Requires ghc6 >= 6.4.2.
    * No longer tries to detect platform. Closes: #340325, #332979.
    * Removed autotool-dev build-dep.
  * Add 'XSLTPROC_OPTS = --nonet' to doc/config.mk.in.
  * Remove src/Parser.ly and src/AttrGrammarParser.ly before cleaning so
    the generated files don't get cleaned.
  * Set Standards-Version to 3.7.2 (no changes needed).
  * Removed PS and DVI stanzas from debian/doc-base as we don't build
    the documentation those ways.
  * Removed content-free postinst and prerm.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 26 Oct 2006 22:52:14 +0000

happy (1.15-2) unstable; urgency=low

  * Revert unnecessary strictification of ghc6 build-dep to make
    backports simpler.
  * Build-dep on docbook-xml so we don't need to get things from the
    'net when building.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 13 Sep 2005 17:58:31 +0100

happy (1.15-1.1) unstable; urgency=low

  * NMU to make installable in unstable.
  * Rebuild against newer GHC6 to link to appropriate libgmp.
  * Remove ghc5 from build-depends in debian/control.
  * Updated build-depends on ghc6 to 6.4-4.1 to make sure that
    the package gets built with the appropriate ghc6 that includes the
    libgmp fix.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  9 Sep 2005 06:33:04 -0500

happy (1.15-1) unstable; urgency=low

  * New upstream version.
  * Don't build ps documentation due to xmltex bug #181444 and friends.
  * Build-dep on xsltproc, docbook-xsl for the HTML documentation.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Fri, 28 Jan 2005 22:47:45 +0000

happy (1.14-1) unstable; urgency=low

  * New upstream version.
  * Change how configure/config.sub/config.guess are handled in line
    with /usr/share/doc/autotools-dev/README.Debian.gz.
  * Added mipsel and x86_64 to configure{,.ac}. Closes: #253166.
  * Get rid of unportable {a,b} syntax in debian/rules.
  * Say we replace ghc-cvs (<< 20031221) as old ghc-cvs accidentally
    included happy.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Thu, 08 Jul 2004 23:15:11 +0000

happy (1.13-0tarball-5) unstable; urgency=low

  * Fix pragmas (missing #) in Parser.hs as recent GHCs were barfing.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 03 Apr 2004 15:51:47 +0000

happy (1.13-0tarball-4) unstable; urgency=low

  * Add cases for various arches to configure{,.in}

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 16 Sep 2003 11:52:10 +0000

happy (1.13-0tarball-3) unstable; urgency=low

  * Apply fix for repeated productions from upstream. Closes: #191610.
  * happy/src/happy.sh is still POSIX sh, so no need to make it use bash.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 09 Sep 2003 20:32:52 +0000

happy (1.13-0tarball-2) unstable; urgency=low

  * Tweak support for sparc Linux in configure/configure.in

 -- Ian Lynagh (wibble) <igloo@debian.org>  Wed, 03 Sep 2003 02:43:34 +0000

happy (1.13-0tarball-1) unstable; urgency=low

  * New maintainer.
  * Use the tarball rather than CVS. Means flex-old and happy are no longer
    needed. Alter configure/configure.in to not require (f)lex.
    Closes: #189885.
  * Add support for sparc to configure/configure.in and change arch to any.
    Closes: #206930.
  * Put 4 in debian/compat and update debhelper build-dep to match.
  * README.Debian removed as it no longer applies.
  * General debian/rules tidyup.
  * Prefer simple changes in .diff.gz rather than a patch system, especially
    as the number needed has dropped (and will hopefully drop further in the
    future).
  * Allow ghc6 as an alternative to ghc5 as a build-dep.

 -- Ian Lynagh (wibble) <igloo@debian.org>  Sat, 30 Aug 2003 13:21:53 +0000

happy (1.13-1.1) unstable; urgency=low

  * NMU.
  * Updated config.sub and config.guess files.
  * Change Build-Depends slightly so it should build from source.
    (Closes: Bug#189885).

 -- Thomas Smith <tgs@debian.org>  Wed, 20 Aug 2003 18:39:48 -0500

happy (1.13-1) unstable; urgency=low

  * CVS Version from 2002-07-16 (1.13) [tag: happy-1-13]
  * Makefile cleanups (pwd -> CURDIR, = -> :=, etc.)
  * fixed messed up Parser.hs dependencies
    (happy_parser_derived_hack.dpatch)
  * fixed buggy shell quoting in happy driver script
    (happy_driver_quoting.dpatch)

 -- Michael Weber <michaelw@debian.org>  Fri, 19 Jul 2002 14:30:30 +0200

happy (1.11-3) unstable; urgency=low

  * added flex to build-deps (only needed for sgmlverb)
    (closes: Bug#133735)

 -- Michael Weber <michaelw@debian.org>  Wed, 13 Feb 2002 17:25:16 +0100

happy (1.11-2) unstable; urgency=low

  * replaced build-dep cygnus-stylesheets with docbook-utils
    (closes: Bug#123177)
  * changed happy.html to index.html in doc=base and added link
    to book1.html (it changed *again*, probably due to new
    docbook-utils)
  * bumped Standards-Version to 3.5.6.0

 -- Michael Weber <michaelw@debian.org>  Mon, 28 Jan 2002 17:26:05 +0100

happy (1.11-1) unstable; urgency=low

  * CVS Version from 2001-10-15 (1.11)  [tag: happy-1-11]
  * adjusted happy_distrib-makefile.dpatch
    and debian_glafp-utils_docbook.dpatch
  * removed libdir cruft from debian/rules (no longer needed)

 -- Michael Weber <michaelw@debian.org>  Mon, 15 Oct 2001 16:53:26 +0200

happy (1.9+1.10.20010417-1) unstable; urgency=low

  * oops, major happy breakage (my fault), now fixed
  * added some more build-deps

 -- Michael Weber <michaelw@debian.org>  Tue, 17 Apr 2001 13:34:46 +0200

happy (1.9-2) unstable; urgency=low

  * recompile with ghc-5.00 against libgmp3
  * some fixes needed for ghc-5.00 (already in unstable-CVS)
  * updated manpage once again (minor fixes)

 -- Michael Weber <michaelw@debian.org>  Sat, 14 Apr 2001 22:08:37 +0200

happy (1.9-1) unstable; urgency=low

  * CVS Version from 2000-12-22 (1.9)  [tag: happy-1-9]
  * first upload as proper maintainer
  * removed Emacs local variable (email) from changelog
  * folded in aaronv's changelog entry to reflect the past correctly
  * removed obsolete patch
    (happy_mk.dpatch)
  * removed obsolete patch
    (happy_glaexts.dpatch)
  * changed book1.html to happy.html in doc-base
    (tracking upstream)
  * temporary removed "&the-index;" because genindex.sgml is not
    available on Debian
  * updated man page
  * changed email address to @debian.org

 -- Michael Weber <michaelw@debian.org>  Sat, 14 Apr 2001 22:08:32 +0200

happy (1.7-1) unstable; urgency=low

  * !!NOTE!!
    This version replaced aaronv's upload of 1.6-8 (thanks
    to wli@debian.org for the sponsor upload).
  * CVS Version from 2000-06-15 (1.7)
  * first steps of sync'ing the build process with reality
  * copied rules.local from ghc4 package
  * adjusted {build,clean} targets
  * removed building of docbook
    (debian_glafp-utils_docbook.dpatch)
  * fixed various build issues
  * changed html index file to book1.html
  * added Build-Depends
  * updated debian_build.dpatch
  * bumped Standards-Version to 3.1.0
  * added sgml documentation
  * updated README.debian with building hints
  * re-changed Arch: to i386

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Fri, 22 Dec 2000 20:58:16 +0100

happy (1.6-8) unstable; urgency=low

  * First revision to be uploaded to Debian
  * Changed maintainer fields where necessary
  * Changed binary packages to Architecture: any

 -- Aaron Van Couwenberghe <aaronv@debian.org>  Tue, 30 Nov 1999 14:27:47 -0800

happy (1.6-7) unstable; urgency=low

  * bumped Standards-Version to 3.0.1
  * added doc-base entry
  * moved (un)patch rules to debian/rules.local

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Wed, 17 Nov 1999 18:19:39 +0100

happy (1.6-6) unstable; urgency=low

  * made happy work again with ghc_4.04.19990916-1
    (toInt/fromInt now in GlaExts)
  * removed Recommends for non-existant virtual package
  * added info-browser to Suggests
  * improved building process (targets clean,build)

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Sun, 19 Sep 1999 21:05:27 +0200

happy (1.6-5) unstable; urgency=low

  * changed to Standards-Version 3.0.0.0
  * moved usr/doc -> usr/share/doc (according to FHS)
  * wrote a manual page for happy(1)

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Wed,  4 Aug 1999 22:45:11 +0200

happy (1.6-4) unstable; urgency=low

  * moved to patch system (taken from glibc package)
  * CVS version of 1999/07/31

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Sat, 31 Jul 1999 23:44:39 +0200

happy (1.6-3) unstable; urgency=low

  * first glibc-2.1.1 version

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Tue, 13 Jul 1999 15:52:03 +0000

happy (1.6-2) unstable; urgency=low

  * fixed README.Debian

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Tue,  6 Jul 1999 19:17:06 +0200

happy (1.6-1) unstable; urgency=low

  * Initial Release.

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Fri,  2 Jul 1999 18:32:57 +0200
